// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

// Copyright (C) 2006 Kazuyoshi Kakihara
//
// This file is part of JanusLeaf.
//
// JanusLeaf is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//
//

#if !defined(AFX_STDAFX_H__1A1DF3FD_7FCA_4327_9D65_533F9E9965BA__INCLUDED_)
#define AFX_STDAFX_H__1A1DF3FD_7FCA_4327_9D65_533F9E9965BA__INCLUDED_

// Change these values to use different versions
#define WINVER		0x0400
//#define _WIN32_WINNT	0x0400
#define _WIN32_IE	0x0400
#define _RICHEDIT_VER	0x0100

// This is required for hosting browser in ATL7
#define _ATL_DLL

#include <atlbase.h>
#include <atlapp.h>

extern CAppModule _Module;

#include <atlcom.h>
#include <atlhost.h>
#include <atlwin.h>
#include <atlctl.h>

#include <atlframe.h>
#include <atlctrls.h>
#include <atldlgs.h>
#include <atlctrlw.h>

#include <atlcrack.h>
#include <atlmisc.h>

#include <vector>
#include <list>
#include <string>
//#include <fstream>
//#include <iomanip>

#include <comdef.h>
#include <time.h>

#include <strsafe.h>
#include <wincrypt.h>

#ifndef DEBUGOUT
#define DEBUGOUT(hr) \
  { \
    CHAR szMsg[MAX_PATH * 2 + 1]; \
    LPCSTR p; \
    LPVOID pmsg; \
\
    ::FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | \
		FORMAT_MESSAGE_FROM_SYSTEM | \
		FORMAT_MESSAGE_IGNORE_INSERTS, \
		NULL, HRESULT_CODE(hr), \
    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT), \
		reinterpret_cast<LPTSTR>(&pmsg), 0, NULL); \
    ::MessageBox(NULL, reinterpret_cast<LPTSTR>(pmsg), NULL, MB_OK); \
    ::LocalFree(reinterpret_cast<HLOCAL>(pmsg)); \
\
    p = strrchr(__FILE__, '\\') + 1; \
    if (SUCCEEDED(StringCbPrintf(szMsg, MAX_PATH * 2, "%s %d", p, __LINE__))) { \
      ::MessageBox(NULL, szMsg, "Debug", MB_OK); \
    } \
  }
#endif


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_STDAFX_H__1A1DF3FD_7FCA_4327_9D65_533F9E9965BA__INCLUDED_)
